Interface Endpoint
public interface Endpoint
Defines a single HTTP-based RPC endpoint in terms of a
path and HTTP method,
as well as the types of the request and response body.-
Method Summary
Modifier and TypeMethodDescriptiondefault voidrenderPath(com.google.common.collect.ListMultimap<String, String> params, UrlBuilder url) default voidrenderPath(Map<String, String> params, UrlBuilder url) renderPath(ListMultimap, UrlBuilder)is preferred, however at least onerenderPathmust be implemented to avoid infinite recursion.tags()version()
-
Method Details
-
renderPath
renderPath(ListMultimap, UrlBuilder)is preferred, however at least onerenderPathmust be implemented to avoid infinite recursion. -
renderPath
default void renderPath(com.google.common.collect.ListMultimap<String, String> params, UrlBuilder url) -
httpMethod
HttpMethod httpMethod() -
serviceName
String serviceName() -
endpointName
String endpointName() -
version
String version() -
tags
-